Android OpenSSL support Android OpenSSL support

The Qt Company

By clicking button above, I agree Marketplace user terms and conditions

Android OpenSSL support

About

This extension provides OpenSSL scripts and binaries  for Android that can be used to add support for Qt apps on Android.

Qt versions supported

  • 1.0.x branch has OpenSSL 1.0.x which can be used with Qt versions up to 5.12.3
  • 5.12.4_5.13.0 tag has OpenSSL 1.1.x which can be used ONLY with Qt versions 5.12.4 and 5.13.0.
  • master branch is used for Qt versions 5.12.5+ and 5.13.1+

NOTE: Beware that on Android 5 (API 21) this lib's names are clashing with the system SSL libs which are using OpenSSL 1.0, this means your Qt app will fail to use OpenSSL 1.1 as the system ones are already loaded by the OS.

License

Note that even though the scripts are licensed under Apache v2, OpenSSL libraries themselves use another license. Before using this product, check the license compatibility. 

Adding OpenSSL Support for Android https://doc.qt.io/qt-5/android-openssl-support.html

Version:
1.0
Publisher:
The Qt Company
Contact:
info@qt.io
Copyright:
KDAB
Licenses:
Apache-2.0
Created at:
2019-01-16
Updated at:
2019-12-16
Platforms:
Android
Qt versions:
5.9.0+
5.12.3
5.12.4
5.12.5+
5.13.0
5.13.1+
Bug URL:
https://github.com/KDAB/android_openssl/issues
Source repository:
https://github.com/KDAB/android_openssl